Debian Bug report logs - #639214
eglibc: changes to paths concerning crt1.o, crti.o and crtn.o breaks building LLVM Trunk

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: "Marc J. Driftmeyer" <mjd@reanimality.com>

Date: Thu, 25 Aug 2011 04:21:02 UTC

Severity: important

Merged with 637232, 644986, 648889, 682678

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#639214; Package eglibc. (Thu, 25 Aug 2011 04:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc J. Driftmeyer" <mjd@reanimality.com>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 25 Aug 2011 04:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marc J. Driftmeyer" <mjd@reanimality.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: eglibc: changes to paths concerning crt1.o, crti.o and crtn.o breaks building LLVM Trunk
Date: Wed, 24 Aug 2011 21:16:06 -0700
Package: eglibc
Version: 2.13-18
Severity: normal


With the most recent changes of moving the object files under /usr/lib/x86_64-linux-gnu/ the linker to build Clang/LLVM breaks.

A workaround is to add symlinks for crt1.o, crti.o and crtn.o back under /usr/lib.

Is there a solution possible in perhaps alternatives to make a clean approach for the LLVM/Clang project to see these object files necessary to link against and continue building without having to rehack their configure/makefiles?

I would expect the Debian FreeBSD being part of the family would be a great opportunity to make this issue be resolved and work across all architectures and for other compilers besides the GCC Family.

- Marc


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#639214; Package eglibc. (Thu, 25 Aug 2011 05:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 25 Aug 2011 05:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 639214@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Marc J. Driftmeyer" <mjd@reanimality.com>
Cc: 639214@bugs.debian.org
Subject: Re: eglibc: changes to paths concerning crt1.o, crti.o and crtn.o breaks building LLVM Trunk
Date: Thu, 25 Aug 2011 00:25:59 -0500
reassign 639214 general
forcemerge 637232 639214
quit

Hi Marc,

Marc J. Driftmeyer wrote:

> With the most recent changes of moving the object files under
> /usr/lib/x86_64-linux-gnu/ the linker to build Clang/LLVM breaks.
>
> A workaround is to add symlinks for crt1.o, crti.o and crtn.o back
> under /usr/lib.

From /usr/share/doc/libc6/NEWS.Debian.gz:

  Starting with the eglibc package version 2.13-5, the libraries are
  shipped in the multiarch directory /lib/$arch instead of the more
  traditional /lib. Similarly the includes are now shipped in
  /usr/include/$arch instead of the more traditional /usr/include.

  The toolchain in Debian has been updated to cope with that, and most
  build systems should be unaffected. If you are using a non-Debian
  toolchain to build your software and it is not able to cope with
  multiarch, you might try to pass the following option to your
  compiler:

    -B/usr/lib/$arch -I/usr/include/$arch

Does clang support similar options?

See also http://llvm.org/bugs/show_bug.cgi?id=6541 which suggests to
me that upstream is interested in out-of-the-box support for the new
paths.

Reassigning to "general" and merging with the relevant bug, since this
is far from a libc-specific problem.  See [1] for some background.

Thanks and hope that helps,
Jonathan

[1] http://wiki.debian.org/Multiarch




Bug reassigned from package 'eglibc' to 'general'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 25 Aug 2011 05:27:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.13-18. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 25 Aug 2011 05:27:08 GMT) Full text and rfc822 format available.

Forcibly Merged 637232 639214. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 25 Aug 2011 05:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#639214; Package general. (Fri, 26 Aug 2011 01:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc J. Driftmeyer" <mjd@reanimality.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 26 Aug 2011 01:03:06 GMT) Full text and rfc822 format available.

Message #21 received at 639214@bugs.debian.org (full text, mbox):

From: "Marc J. Driftmeyer" <mjd@reanimality.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 639214@bugs.debian.org
Subject: Re: eglibc: changes to paths concerning crt1.o, crti.o and crtn.o breaks building LLVM Trunk
Date: Thu, 25 Aug 2011 18:00:03 -0700
[Message part 1 (text/plain, inline)]
John,

Thanks for the prompt reply. I've posted this discussion to the LLVM 
List and will see what becomes of it.

Thank you,

- Marc

On 08/24/2011 10:25 PM, Jonathan Nieder wrote:
> reassign 639214 general
> forcemerge 637232 639214
> quit
>
> Hi Marc,
>
> Marc J. Driftmeyer wrote:
>
>> With the most recent changes of moving the object files under
>> /usr/lib/x86_64-linux-gnu/ the linker to build Clang/LLVM breaks.
>>
>> A workaround is to add symlinks for crt1.o, crti.o and crtn.o back
>> under /usr/lib.
>  From /usr/share/doc/libc6/NEWS.Debian.gz:
>
>    Starting with the eglibc package version 2.13-5, the libraries are
>    shipped in the multiarch directory /lib/$arch instead of the more
>    traditional /lib. Similarly the includes are now shipped in
>    /usr/include/$arch instead of the more traditional /usr/include.
>
>    The toolchain in Debian has been updated to cope with that, and most
>    build systems should be unaffected. If you are using a non-Debian
>    toolchain to build your software and it is not able to cope with
>    multiarch, you might try to pass the following option to your
>    compiler:
>
>      -B/usr/lib/$arch -I/usr/include/$arch
>
> Does clang support similar options?
>
> See also http://llvm.org/bugs/show_bug.cgi?id=6541 which suggests to
> me that upstream is interested in out-of-the-box support for the new
> paths.
>
> Reassigning to "general" and merging with the relevant bug, since this
> is far from a libc-specific problem.  See [1] for some background.
>
> Thanks and hope that helps,
> Jonathan
>
> [1] http://wiki.debian.org/Multiarch

-- 
Marc J. Driftmeyer
Email :: mjd@reanimality.com <mailto:mjd@reanimality.com>
Web :: http://www.reanimality.com
Cell :: (509) 435-5212
[Message part 2 (text/html, inline)]
[mjd.vcf (text/x-vcard, attachment)]

Forcibly Merged 637232 639214 644986. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 11 Oct 2011 20:00:05 GMT) Full text and rfc822 format available.

Forcibly Merged 637232 639214 644986 648889. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 15 Nov 2011 22:03:11 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Tue, 29 May 2012 08:03:06 GMT) Full text and rfc822 format available.

Added indication that 639214 affects release-notes Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 22 Jul 2012 17:54:13 GMT) Full text and rfc822 format available.

Merged 637232 639214 644986 648889 682678 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 24 Jul 2012 16:51:08 GMT) Full text and rfc822 format available.

Merged 637232 639214 644986 648889 682678 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 25 Jul 2012 07:15:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:51:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.